Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrn.service.impl
Class ConsultrnServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.consultrn.service.impl.ConsultrnServiceImpl

All Implemented Interfaces:
  ConsultrnService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class ConsultrnServiceImpl

extends Object
implements ConsultrnService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `ConsultrnService`

Constructor Summary
`ConsultrnServiceImpl()` default constructor, needed for ModuleBootstrapHook.
`ConsultrnServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

Method Summary
`void` | `bootstrap()`
`RegisterPersonResponse` | `registerPerson(SAMLToken token, RegisterPersonRequest request)`
`SearchBySSINReply` | `search(SAMLToken token, SearchBySSINRequest request)`
`SearchPhoneticReply` | `search(SAMLToken token, SearchPhoneticRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultrnServiceImpl

    public ConsultrnServiceImpl(SessionValidator sessionValidator,
                                EhealthReplyValidator replyValidator)

### ConsultrnServiceImpl

    public ConsultrnServiceImpl()

  default constructor, needed for ModuleBootstrapHook.

Method Detail

### search

    public SearchBySSINReply search(SAMLToken token,
                                    SearchBySSINRequest request)
                             throws ConsultrnIdentifyPersonException,
                                    TechnicalConnectorException

  Specified by:
    `search` in interface `ConsultrnService`
  Throws:
    `ConsultrnIdentifyPersonException`
    `TechnicalConnectorException`

### search

    public SearchPhoneticReply search(SAMLToken token,
                                      SearchPhoneticRequest request)
                               throws ConsultrnPhoneticSearchException,
                                      TechnicalConnectorException

  Specified by:
    `search` in interface `ConsultrnService`
  Throws:
    `ConsultrnPhoneticSearchException`
    `TechnicalConnectorException`

### registerPerson

    public RegisterPersonResponse registerPerson(SAMLToken token,
                                                 RegisterPersonRequest request)
                                          throws TechnicalConnectorException,
                                                 ConsultrnRegisterPersonException,
                                                 ConsultrnRegisterExistingPersonException

  Specified by:
    `registerPerson` in interface `ConsultrnService`
  Throws:
    `TechnicalConnectorException`
    `ConsultrnRegisterPersonException`
    `ConsultrnRegisterExistingPersonException`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.